//
//  SettingsTableViewCell.swift
//  Garmentoo
//
//  Created by Vijith on 30/03/22.
//

import UIKit

class SettingsTableViewCell: UITableViewCell {
    
    @IBOutlet weak var outerView:UIView!

    @IBOutlet weak var img: UIImageView!
    @IBOutlet weak var lbl: UILabel!
    @IBOutlet weak var notifBtn: UIButton!
    @IBOutlet weak var downImg: UIImageView!
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        setui()
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    func setui()
    {
        self.outerView.backgroundColor = UIColor.viewBg
        
//        // Initialization code
//        if #available(iOS 13.0, *) {
//            self.outerView.backgroundColor =
//                // 1
//                UIColor { traitCollection in
//                    // 2
//                    switch traitCollection.userInterfaceStyle {
//                    case .dark:
//                        // 3
//                        //return UIColor(white: 0.3, alpha: 1.0)
//                        return UIColor.darkGray
//                    default:
//                        // 4
//                        //return UIColor(white: 0.7, alpha: 1.0)
//                        return UIColor.tabcolor
//                    }
//                }
//        } else {
//            // Fallback on earlier versions
//            self.outerView.backgroundColor = UIColor.tabcolor
//        }
    }

}
class SettingsHeaderTableViewCell: UITableViewCell {

    
    @IBOutlet weak var lbl: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }

}
